package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazardReport;

/**
 * 危险源上报 数据层
 */
@Mapper
public interface TBusiHazardReportMapper {

    /**
     * 查询危险源上报信息
     * @param guid 查询条件
     * @return 危险源上报信息
     */
    TBusiHazardReport selectTBusiHazardReportByGuid(String guid);

    /**
     * 查询危险源上报列表
     * @param tBusiHazardReport 危险源上报查询条件
     * @return 危险源上报集合
     */
    List<TBusiHazardReport> selectTBusiHazardReportList(TBusiHazardReport tBusiHazardReport);

    /**
     * 新增危险源上报
     * @param tBusiHazardReport 危险源上报信息
     * @return 影响行数
     */
    int insertTBusiHazardReport(TBusiHazardReport tBusiHazardReport);

    /**
     * 修改危险源上报
     * @param tBusiHazardReport 危险源上报信息
     * @return 影响行数
     */
    int updateTBusiHazardReport(TBusiHazardReport tBusiHazardReport);

    /**
     * 删除危险源上报
     * @param guid 危险源上报主键
     * @return 影响行数
     */
    int deleteTBusiHazardReportByGuid(String guid);

    /**
     * 批量删除危险源上报
     * @param guids 危险源上报主键数组
     * @return 影响行数
     */
    int deleteTBusiHazardReportByGuids(String[] guids);
}
